package cn.iocoder.yudao.framework.common.pojo;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class BpmOALeaveDTO {
    /**
     * 请假表单主键
     */
    private Long id;
    /**
     * 申请人的用户编号
     *
     * 关联 AdminUserDO 的 id 属性
     */
    private Long userId;
    /**
     * 请假类型
     */
    private String type;
    /**
     * 开始时间
     */
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;
}
