package cn.iocoder.yudao.module.bpm.api.oa;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.bpm.api.oa.vo.BpmOALeaveRpcVO;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOALeaveService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

/**
 * Flowable 流程实例 Api 实现类
 *

 * @author jason
 */
@RestController
@Validated
public class BpmOALeaveApiImpl implements BpmOALeaveApi {

    @Resource
    private BpmOALeaveService leaveService;

    @Override
    public CommonResult<List<BpmOALeaveRpcVO>> getLeaveListByTime(String time) {
        return success(leaveService.getLeaveListByTime(time));
    }

}
