package cn.iocoder.yudao.module.bpm.controller.admin.financialpayment.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.financialpaymentitem.vo.FinancialPaymentItemSaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 财务支付管理新增/修改 Request VO")
@Data
public class FinancialPaymentSaveVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "81")
    private Long id;

    @Schema(description = "状态 1同意 2拒绝", example = "1")
    private Integer status;

    @Schema(description = "类型 1全额支付 2分批支付", example = "1")
    private Integer type;

    @Schema(description = "支付信息")
    private FinancialPaymentItemSaveReqVO financialPaymentItemSaveReqVO;
}
