package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.print;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "管理后台 - 流程打印响应数据 Item Response VO")
@Data
@ToString(callSuper = true)
public class BpmProcessInstancePrintDataRespVO {

    @Schema(description = "流程实例的编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "ac4e415a-f645-11ee-a8c3-00163e18933d")
    private String id;

    @Schema(description = "流程标识", requiredMode = Schema.RequiredMode.REQUIRED, example = "oa_reimbursement")
    private String key;

    @Schema(description = "报销业务打印数据", requiredMode = Schema.RequiredMode.REQUIRED)
    private BpmOAReimbursementPrintDataRespVO bpmOAReimbursementPrintDataRespVO ;

    @Schema(description = "现金支出业务打印数据", requiredMode = Schema.RequiredMode.REQUIRED)
    private BpmOACashPrintDataRespVO bpmOACashPrintDataRespVO;
}
