package cn.iocoder.yudao.module.bpm.service.task;

import cn.iocoder.yudao.module.bpm.dal.dataobject.task.BpmHistoryProcessInstanceDO;

/**
 * 历史流程实例 Service 接口
 */
public interface BpmHistoryProcessInstanceService {

    /**
     * 创建历史流程关联记录
     * @param processInstanceId 流程实例ID
     * @param historyProcessInstanceId 历史流程实例ID
     */
    void createHistoryProcessInstance(String processInstanceId, String historyProcessInstanceId);

    BpmHistoryProcessInstanceDO getHistoryProcessInstanceDO(String processInstanceId);
}
