package cn.iocoder.yudao.module.infra.websocket.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "设备响应 Response DTO")
@Data
public class DeviceResponseDTO {

    @Schema(description = "指令号")
    private String cmd;

    @Schema(description = "错误码")
    private Integer code;

    @Schema(description = "返回说明")
    private String msg;

    @Schema(description = "用户编号")
    private String userId;

    private List<DeleteUser> delFailed;

    @Schema(description = "批量删除用户，响应data")
    @Data
    public static class DeleteUser {

        @Schema(description = "用户编号")
        private String userId;

        @Schema(description = "错误码")
        private Integer code;

        @Schema(description = "返回说明")
        private String msg;
    }
}
