package cn.iocoder.yudao.module.system.api.attendance.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 用户打卡记录 DTO
 *
 * @author 艾楷
 */
@Data
@Accessors(chain = true)
public class AttendancePunchRecordDTO {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 开始时间
     */
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;
    /**
     * 请假id 对应bpm_oa_leave表id
     */
    private Long leaveId;
    /**
     * 请假类型
     */
    private String leaveType;
}
