package cn.iocoder.yudao.module.system.api.bank.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "RPC 服务 - 银行卡 Response DTO")
@Data
public class BankRespDTO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "银行卡号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String bankNo;

    @Schema(description = "银行卡用户名称", requiredMode = Schema.RequiredMode.REQUIRED)
    private String nickname;

    @Schema(description = "开户行信息", requiredMode = Schema.RequiredMode.REQUIRED)
    private String bankName;
}
