package cn.iocoder.yudao.module.system.controller.admin.addressgroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 考勤地址组子表新增/修改 Request VO")
@Data
public class AttendanceAddressGroupItemSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "2807")
    private Long id;

    @Schema(description = "地址组id", example = "2502")
    private Long addressGroupId;

    @Schema(description = "经度")
    private String longitude;

    @Schema(description = "纬度")
    private String latitude;

    @Schema(description = "范围（米）")
    private Integer scope;

    @Schema(description = "地址")
    private String address;

}
