package cn.iocoder.yudao.module.system.controller.admin.addressgroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@Schema(description = "管理后台 - 考勤地址组新增/修改 Request VO")
@Data
public class AttendanceAddressGroupSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "25924")
    private Long id;

    @Schema(description = "名称", example = "张三")
    private String name;

}
