package cn.iocoder.yudao.module.system.controller.admin.assets.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class AssetAllocationDTO {
    /**
     * 资产id
     */
    private Long assetsId;

    @Schema(description = "部门id", requiredMode = Schema.RequiredMode.REQUIRED, example = "103")
    private Long deptId;

    @Schema(description = "出入库数量")
    private Integer num;
}
