package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 资产借调分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AssetsSecondmentPageReqVO extends PageParam {

    @Schema(description = "资产id", example = "13886")
    private Long assetsId;

    @Schema(description = "资产名称", example = "13886")
    private String assetsName;

    @Schema(description = "使用人id", example = "12871")
    private Long useUserId;

    @Schema(description = "使用人部门id", example = "130")
    private Long useDeptId;

    @Schema(description = "负责人id", example = "8526")
    private Long principalUserId;

    @Schema(description = "借调部门id", example = "11597")
    private Long secondmentDeptId;
}