package cn.iocoder.yudao.module.system.controller.admin.attendance.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import static cn.iocoder.yudao.framework.security.core.util.SecurityFrameworkUtils.getLoginUserId;

@Data
@Accessors(chain = true)
public class AttendanceReplacementCardDTO {

    @Schema(description = "日期 yyyy-MM-dd格式")
    private String actualDayTime;

    @Schema(description = "班次子表id")
    private Long attendanceGroupShiftItemId;

    @Schema(description = "上下班类型 0上班 1下班")
    private Integer workType;
}
