package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class AttendanceExportExcelByCycleVO {
    @Schema(description = "用户名称")
    private String name;
    @Schema(description = "考勤组名称")
    private String groupName;
    @Schema(description = "部门名称")
    private String deptName;
    @Schema(description = "职位名称")
    private String postName;
    @Schema(description = "出勤天数")
    private String attendanceDays;
    @Schema(description = "休息天数")
    private String restDays;
    @Schema(description = "工作时长")
    private String lengthOfWork;
    @Schema(description = "迟到次数")
    private String lateNum;
    @Schema(description = "迟到时长")
    private String lateTime;
    @Schema(description = "早退次数")
    private String leaveEarlyNum;
    @Schema(description = "早退时长")
    private String leaveEarlyTime;
    @Schema(description = "上班缺卡次数")
    private String upMissingCardsNum;
    @Schema(description = "下班缺卡次数")
    private String downMissingCardsNum;
    @Schema(description = "旷工天数")
    private String absenteeismNum;
//    @Schema(description = "出差时长")
//    private String onBusinessTripTime;
//    @Schema(description = "加班-审批单统计")
//    private String overtimeApprovalOrderStatistics;


    @Data
    public class OvertimeVO {
        @Schema(description = "工作日加班")
        private String workingOvertimeOnWorkingDays;
        @Schema(description = "休息日加班")
        private String workOvertimeOnRestDays;
        @Schema(description = "节假日加班")
        private String workOvertimeOnHolidays;
    }
}
