package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class AttendanceRulesVO {
    @Schema(description = "上班规则 - 一条数据一行 前端记得换行")
    private List<WorkRules> workRules;
    @Schema(description = "办公地点")
    private String officeLocation;
    @Schema(description = "是否允许外勤打卡 0否 1是")
    private Integer fieldworkFlag;

    @Data
    public static class WorkRules {
        @Schema(description = "星期几/第几天")
        private String indexStr;
        @Schema(description = "规则")
        private String rule;
        @Schema(description = "是否当天")
        private boolean flag;
    }
}

