package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class AttendanceStatisticsVO {
    @Schema(description = "平均工作时间")
    private List<AttendancePunchStatisticsVO> averageWorkingHours;
    @Schema(description = "出勤天数")
    private List<AttendancePunchStatisticsVO> attendanceDays;
    @Schema(description = "迟到次数")
    private List<AttendancePunchStatisticsVO> beLateNumber;
    @Schema(description = "早退次数")
    private List<AttendancePunchStatisticsVO> earlyDeparturesNumber;
    @Schema(description = "缺卡次数")
    private List<AttendancePunchStatisticsVO> missingCardsNumber;
    @Schema(description = "矿工日")
    private List<AttendancePunchStatisticsVO> minerDays;
    @Schema(description = "外勤次数")
    private List<AttendancePunchStatisticsVO> fieldServiceNumber;
    @Schema(description = "休息日")
    private List<AttendancePunchStatisticsVO> restDays;
    @Schema(description = "请假次数")
    private List<AttendancePunchStatisticsVO> leaveNumber;
    @Schema(description = "头部次数")
    private CalculateNum calculateNum;
}
