package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class AttendanceStatusByDayVO {
    @Schema(description = "状态 0正常 1异常(迟到/早退/缺卡/请假)")
    private Integer status;
    @Schema(description = "是否有提交过 请假/加班/出差/外出/补卡 申请 0否 1是")
    private Integer submitStatus = 0;
    @Schema(description = "考勤记录根据考勤组/班次 分组")
    private List<AttendanceByGroupVO> list;
}
