package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class CalculateNum {
    @Schema(description = "总考勤时间")
    long totalWorkingHours = 0L;
    @Schema(description = "总考勤时间中文")
    String totalWorkingHoursStr;
    @Schema(description = "总出勤天数")
    int totalAttendanceDays = 0;
    @Schema(description = "总休息天数")
    int totalRestDays = 0;
    @Schema(description = "迟到总次数")
    int totalLateArrivalsNumber = 0;
    @Schema(description = "迟到总时间")
    long totalLateArrivalsTime = 0L;
    @Schema(description = "迟到总时间中文")
    String totalLateArrivalsTimeStr;
    @Schema(description = "早退总次数")
    int totalEarlyDeparturesNumber = 0;
    @Schema(description = "早退总时间")
    long totalEarlyDeparturesTime = 0L;
    @Schema(description = "早退总时间中文")
    String totalEarlyDeparturesTimeStr;
    @Schema(description = "缺卡总次数")
    int totalMissingCardsNumber = 0;
    @Schema(description = "请假总次数")
    int totalLeaveNumber = 0;
    @Schema(description = "上班缺卡总次数")
    int totalUpMissingCardsNumber = 0;
    @Schema(description = "下班缺卡总次数")
    int totalDownMissingCardsNumber = 0;
    @Schema(description = "矿工总天数")
    int totalMinerDays = 0;
    @Schema(description = "外勤次数")
    int totalFieldServiceNumber = 0;
    @Schema(description = "平均工时")
    long averageWorkingHours = 0L;
    @Schema(description = "平均工时中文")
    String averageWorkingHoursStr;
}
