package cn.iocoder.yudao.module.system.controller.admin.bank.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 用户银行卡信息新增/修改 Request VO")
@Data
public class UserBankSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3548")
    private Long id;

    @Schema(description = "银行卡用户名称", example = "芋艿")
    private String nickname;

    @Schema(description = "银行卡号")
    private String bankNo;

    @Schema(description = "开户行信息", example = "赵六")
    private String bankName;

}