package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 考勤设备分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceMachinePageReqVO extends PageParam {

    @Schema(description = "所属部门编号", example = "128")
    private Long deptId;

    @Schema(description = "设备名称")
    private String deviceName;

    @Schema(description = "资产类型编号")
    private Long typeId;

    @Schema(description = "是否在线 | 0否 1是")
    private Integer isOnLine;
}