package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 考勤设备新增/修改 Request VO")
@Data
public class AttendanceMachineSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "资产ID", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long assetsId;

    @Schema(description = "资产编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String assetsNo;

    @Schema(description = "设备号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String deviceNo;

    @Schema(description = "所属部门编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "128")
    private Long deptId;

    @Schema(description = "设备名称", requiredMode = Schema.RequiredMode.REQUIRED)
    private String deviceName;

    @Schema(description = "是否分配资产")
    private Boolean isAssets;

}