package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.websocket;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class WebsocketBaseVO {

    @Schema(description = "固定为 to_device")
    private String cmd = "to_device";

    private String from;

    private String extra;

    @Schema(description = "目标设备号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String to;

    @Schema(description = "具体指令中的数据格式")
    private Object data;
}
