package cn.iocoder.yudao.module.system.controller.admin.user.dto;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class UserPageDTO extends PageParam {
    @Schema(description = "考勤组ids")
    private List<Long> groupIds;
    @Schema(description = "用户名称")
    private String name;
    @Schema(description = "状态（0正常 1停用）不传则全部", example = "1")
    private Integer status;
}
