package cn.iocoder.yudao.module.system.controller.admin.user.vo.factoryUser;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 工厂用户信息 Response VO")
@Data
public class FactoryUserRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.NOT_REQUIRED, example = "1")
    private Long id;

    @Schema(description = "用户昵称", requiredMode = Schema.RequiredMode.REQUIRED, example = "芋艿")
    private String nickname;

    @Schema(description = "工厂ID", example = "1000009")
    private Long factoryId;

    @Schema(description = "工厂名称", example = "IT 部")
    private String shortName;

    @Schema(description = "工种编号")
    private Integer workType;

    @Schema(description = "工种名称")
    private String workTypeName;

    @Schema(description = "手机号码", example = "15601691300")
    private String mobile;

    @Schema(description = "身份证号码")
    private String idcard;

    @Schema(description = "人脸图片")
    private String faceImg;
}
