package cn.iocoder.yudao.module.system.controller.admin.worklog.dto.statistics;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class LogStatisticsDetailsListGroupByUserDTO {

    @Schema(description = "开始时间 格式yyyy-MM-dd  如果是日报的话 开始时间结束时间都传同一天即可")
    private String beginTime;

    @Schema(description = "结束时间 格式yyyy-MM-dd  如果是日报的话 开始时间结束时间都传同一天即可")
    private String endTime;

    @Schema(description = "日志类型")
    private Integer type;

    @Schema(description = "部门id")
    private Long deptId;

    @Schema(description = "用户昵称")
    private String nickName;

    /**
     * 时间列表
     */
    private List<String> dateList;

    /**
     * 部门ids
     */
    private List<Long> deptIds;
}
