package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.form;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 动态模板分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LogFormPageReqVO extends PageParam {

    @Schema(description = "模板名称", example = "芋道")
    private String name;

    @Schema(description = "模板状态", example = "0")
    private Integer status;

}
