package cn.iocoder.yudao.module.system.dal.mysql.assets;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.controller.admin.assets.dto.AssetsChangeDTO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.AssetsPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.assets.AssetsDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 资产 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface AssetsMapper extends BaseMapperX<AssetsDO> {

    IPage<AssetsDO> selectPageList(@Param("reqVO") AssetsPageReqVO reqVO, @Param("page") IPage page);

    /**
     * @param ids
     * @return
     */
    List<AssetsChangeDTO> selectAssetsChangeByIds(@Param("ids") List<Long> ids);
}