package cn.iocoder.yudao.module.system.dal.mysql.equipment;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt.UsersExtPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt.UsersExtRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.equipment.UsersExtDO;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 用户信息拓展 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface UsersExtMapper extends BaseMapperX<UsersExtDO> {

    IPage<UsersExtRespVO> selectFacePage(@Param("page") IPage<UsersExtRespVO> mpPage, @Param("reqVO") UsersExtPageReqVO pageReqVO);

    default void updateFaceImg(Long id) {

        update(null, new LambdaUpdateWrapper<UsersExtDO>()
                .set(UsersExtDO::getFaceImg, null)
                .eq(UsersExtDO::getId, id));
    }
}