package cn.iocoder.yudao.module.system.dal.mysql.laborcontract;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.controller.admin.laborcontract.vo.LaborContractPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.laborcontract.vo.LaborContractRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.laborcontract.LaborContractDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 劳动合同管理 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface LaborContractMapper extends BaseMapperX<LaborContractDO> {

    IPage<LaborContractRespVO> selectPage(@Param("page") IPage<LaborContractRespVO> mpPage, @Param("reqVO") LaborContractPageReqVO pageReqVO);
}