package cn.iocoder.yudao.module.wms.controller.admin.depot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 仓库管理新增/修改 Request VO")
@Data
public class DepotSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15184")
    private Long id;

    @Schema(description = "工厂id", example = "8767")
    private Long factoryId;

    @Schema(description = "仓库名称", example = "张三")
    private String depotName;

    @Schema(description = "仓库编号")
    private String depotNo;

    @Schema(description = "负责人")
    private String principal;

    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "仓库状态 0禁用 1启用", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

}
