package cn.iocoder.yudao.module.wms.controller.admin.depotarea.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 库区管理新增/修改 Request VO")
@Data
public class DepotAreaSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7079")
    private Long id;

    @Schema(description = "工厂id", example = "31855")
    private Long factoryId;

    @Schema(description = "仓库id", example = "5545")
    private Long depotId;

    @Schema(description = "库区名称", example = "张三")
    private String depotAreaName;

    @Schema(description = "库区编号", example = "库区编号")
    private String depotAreaNo;

    @Schema(description = "库区类别 1产品仓 2废料仓（报损）", example = "2")
    private Integer depotAreaType;

    @Schema(description = "库区状态 0禁用 1启用", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

}
