package cn.iocoder.yudao.module.wms.controller.admin.depotlocationitem.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 库位子表管理新增/修改 Request VO")
@Data
public class DepotLocationItemSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "2795")
    private Long id;

    @Schema(description = "库位id", example = "17497")
    private Long locationId;

    @Schema(description = "列")
    private Integer columnNum;

    @Schema(description = "行")
    private Integer rowNum;

    @Schema(description = "层")
    private Integer layerNum;

    @Schema(description = "上边框json{routeCheck: true,type: top}")
    private String top;

    @Schema(description = "下边框json{routeCheck: true,type: bottom}")
    private String bottom;

    @Schema(description = "左边框json{routeCheck: true,type: left}")
    private String left;

    @Schema(description = "右边框json{routeCheck: true,type: right}")
    private String right;

    @Schema(description = "下标（1,2）")
    private String coordinate;

}
