package cn.iocoder.yudao.module.wms.controller.admin.inouttype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 出入库类型管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class InOutTypeRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13159")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "类型名称", example = "芋艿")
    @ExcelProperty("类型名称")
    private String name;

    @Schema(description = "类型 0出库 1入库", example = "2")
    @ExcelProperty("类型 0出库 1入库")
    private Integer type;

    @Schema(description = "状态 0 禁用 1启用", example = "2")
    @ExcelProperty("状态 0 禁用 1启用")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}