package cn.iocoder.yudao.module.wms.controller.admin.productcategoryproperty.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 产品分类属性新增/修改 Request VO")
@Data
public class ProductCategoryPropertySaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "975")
    private Long id;

    @Schema(description = "产品分类id", example = "32382")
    private Long productCategoryId;

    @Schema(description = "属性名称", example = "王五")
    private String name;

}