package cn.iocoder.yudao.module.wms.controller.admin.productionline.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 产线管理新增/修改 Request VO")
@Data
public class ProductionLineSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "12732")
    private Long id;

    @Schema(description = "工厂id", example = "11523")
    private Long factoryId;

    @Schema(description = "产线名称", example = "李四")
    private String name;

    @Schema(description = "产线地址")
    private String address;

    @Schema(description = "负责人")
    private String principal;

    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "状态 0 禁用 1启用", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "你猜")
    private String remark;

}