package cn.iocoder.yudao.module.wms.controller.admin.qrcode.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 二维码管理新增/修改 Request VO")
@Data
public class QrCodeSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "27863")
    private Long id;

    @Schema(description = "名称", example = "张三")
    private String name;

    @Schema(description = "长")
    private BigDecimal length;

    @Schema(description = "宽")
    private BigDecimal width;

    @Schema(description = "高")
    private BigDecimal high;

    @Schema(description = "类型 0出库 1入库", example = "1")
    private Integer type;

    @Schema(description = "状态 0 禁用 1启用", example = "1")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

}