package cn.iocoder.yudao.module.smartfactory.api.factoryInfo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "RPC 服务 - 工厂信息 DTO")
@Data
public class FactoryInfoDTO {

    @Schema(description = "工厂编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "100009")
    private Long id;

    @Schema(description = "工厂名字", requiredMode = Schema.RequiredMode.REQUIRED, example = "江西省南昌市第一工厂")
    private String name;

    @Schema(description = "工厂简称", requiredMode = Schema.RequiredMode.REQUIRED, example = "第一工厂")
    private String shortName;

    @Schema(description = "工厂类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private String type;
}
