package cn.iocoder.yudao.module.bpm.api.oa.vo;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class LeaveVO {
    /**
     * 请假表单主键
     */
    private Long id;
    /**
     * 申请人的用户编号
     * <p>
     * 关联 AdminUserDO 的 id 属性
     */
    private Long userId;
    /**
     * 请假类型
     */
    private String type;
    /**
     * 原因
     */
    private String reason;
    /**
     * 开始时间
     */
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;
}
