package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.worktask;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 跟踪内容集合 VO")
@Data
public class BpmOAWorkTaskTrackInfo {

    @Schema(description = "跟踪内容", example = "11111112122222")
    private String trackContent;

    @Schema(description = "跟踪内容提交时间", example = "2024-05-12 12:00:44")
    private String trackTime;
}
