package cn.iocoder.yudao.module.bpm.controller.admin.upload;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 功能描述 用于给oa流程附件同用的上传文件对象
 * author:  yj
 * date: 2024年02月07日 22:37
 */
@Data
public class UploadUserFile {

    @Schema(description = "文件原始名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "123.jpg")
    private String name;

    @Schema(description = "文件URL", requiredMode = Schema.RequiredMode.REQUIRED, example = "http://xxx.xxx/xx/xx/123.jpgss")
    private String url;
}
