package cn.iocoder.yudao.module.system.api.equipment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "RPC 服务 - 考勤设备请求记录 DTO")
@Data
public class DistributeRecordDTO {
    @Schema(description = "记录编号")
    private String requestId;

    @Schema(description = "设备号")
    private String deviceNo;

    @Schema(description = "用户编号")
    private Long userId;

    @Schema(description = "请求类型")
    private Integer type;

    @Schema(description = "错误码")
    private Integer code;

    @Schema(description = "请求结果")
    private String result;

    @Schema(description = "创建者")
    private String creator;

    @Schema(description = "更新者")
    private String updater;
}
