package cn.iocoder.yudao.module.system.controller.admin.assets.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class AssetsChangeDTO {
    @Schema(description = "id")
    private Long id;

    @Schema(description = "assetsId", requiredMode = Schema.RequiredMode.REQUIRED, example = "30782")
    private Long assetsId;

    @Schema(description = "资产名称", example = "1")
    private String name;

    @Schema(description = "资产编号", example = "1")
    private String assetsNo;

    @Schema(description = "资产状态 -1无状态 0空闲 1使用中 2维修 3损坏 （资产类型按单件时候有意义）", example = "1")
    private Integer status;

    @Schema(description = "类型 0按量 1按单件", example = "1")
    private Integer type;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "资产类型id", example = "5169")
    private Long typeId;
}