package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 资产借调记录新增/修改 Request VO")
@Data
public class AssetsSecondmentRecordSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1505")
    private Long id;

    @Schema(description = "资产id", example = "20093")
    private Long assetsId;

    @Schema(description = "使用人id", example = "12905")
    private Long useUserId;

    @Schema(description = "使用人部门id", example = "13729")
    private Long useDeptId;

    @Schema(description = "负责人id", example = "5479")
    private Long principalUserId;

    @Schema(description = "借调部门id", example = "13654")
    private Long secondmentDeptId;

    @Schema(description = "借调id", example = "20754")
    private Long assetSecondmentId;

    @Schema(description = "数量")
    private Integer num;

    @Schema(description = "状态 0领用 1归还", example = "1")
    private Integer status;

}