package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 资产借调新增/修改 Request VO")
@Data
public class AssetsSecondmentSaveReqVO {
    @Schema(description = "资产id", example = "13886")
    private Long assetsId;

    @Schema(description = "使用人id", example = "12871")
    private Long useUserId;

    @Schema(description = "使用人部门id", example = "130")
    private Long useDeptId;

    @Schema(description = "负责人id", example = "8526")
    private Long principalUserId;

    @Schema(description = "数量")
    private Integer num;

    @Schema(description = "备注", example = "随便")
    private String remark;
}