package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 资产类型 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AssetsTypeRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "6590")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "资产类型名称", example = "李四")
    @ExcelProperty("资产类型名称")
    private String name;

    @Schema(description = "类型 0按量 1按单件", example = "1")
    @ExcelProperty("类型 0按量 1按单件")
    private Integer type;

    @Schema(description = "上级资产类型id", example = "27306")
    @ExcelProperty("上级资产类型id")
    private Long pid;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}