package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 资产类型新增/修改 Request VO")
@Data
public class AssetsTypeSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "6590")
    private Long id;

    @Schema(description = "资产类型名称", example = "李四")
    private String name;

    @Schema(description = "类型 0按量 1按单件", example = "1")
    private Integer type;

    @Schema(description = "上级资产类型id", example = "27306")
    private Long pid;

}