package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import cn.iocoder.yudao.module.system.dal.dataobject.attendance.punchrecord.AttendancePunchRecordDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class AttendanceByGroupVO {
    @Schema(description = "当前考勤组名称")
    private String groupName;
    @Schema(description = "当前班次名称")
    private String attendanceGroupShiftName;
    @Schema(description = "考勤组列表")
    private List<AttendancePunchRecordDO> list;
}
