package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class AttendancePunchStatisticsVO {
    @Schema(description = "日期 yyyy-MM-dd")
    private String day;

    @Schema(description = "周几")
    private String week;

    @Schema(description = "应打卡时间 HH:mm")
    private String shouldPunchTime;

    @Schema(description = "业务时间 前端直接展示即可 例子:(11.5小时 / 上班迟到1小时14分钟)")
    private String time;
}
