package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class TeamAttendancePunchStatisticsVO {
    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "名字")
    private String name;

    @Schema(description = "头像")
    private String avatar;

    @Schema(description = "考勤组名称")
    private String groupName;

    @Schema(description = "班次名称")
    private String shiftName;

    @Schema(description = "上面的次数/时间")
    private String top;

    @Schema(description = "下面的次数/时间")
    private String down;

    @Schema(description = "头部次数")
    private CalculateNum calculateNum;
}
