package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 考勤设备已下发用户列表分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserExtPageReqVO extends PageParam {

    @Schema(description = "设备号")
    private String deviceNo;

    @Schema(description = "用户名称")
    private String userName;
}