package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.websocket;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "下发用户命令 VO")
@Data
public class AddUserVO {

    @Schema(description = "指令")
    private String cmd = "editUser";

    @Schema(description = "用户id")
    private String user_id;

    @Schema(description = "用户姓名")
    private String name;

    @Schema(description = "人脸图片url")
    private String face_template;

    @Schema(description = "人员有效期")
    private String id_valid;
}
