package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.websocket;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "修改人看图片命令 VO")
@Data
public class UpdateFaceImgVO {

    @Schema(description = "指令")
    private String cmd = "editUser";

    @Schema(description = "用户id")
    private String user_id;

    @Schema(description = "修改类型")
    private Integer edit_mode = 1;

    @Schema(description = "人脸图片url")
    private String face_template;
}
