package cn.iocoder.yudao.module.system.controller.admin.groupshift.vo;

import cn.iocoder.yudao.module.system.controller.admin.groupshiftitem.vo.AttendanceGroupShiftItemSaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 考勤组班次 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceGroupShiftRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5305")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "班次名称", example = "张三")
    @ExcelProperty("班次名称")
    private String name;

    @Schema(description = "是否次日(开始时间 大于 结束时间)跨天 0否 1是")
    @ExcelProperty("是否次日(开始时间 大于 结束时间)跨天 0否 1是")
    private Integer nextDayFlag;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "班次子表信息")
    private List<AttendanceGroupShiftItemSaveReqVO> items;

}