package cn.iocoder.yudao.module.system.controller.admin.groupshift.vo;

import cn.iocoder.yudao.module.system.dal.dataobject.attendance.groupshiftitem.AttendanceGroupShiftItemDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 考勤组班次新增/修改 Request VO")
@Data
public class AttendanceGroupShiftVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5305")
    private Long id;

    @Schema(description = "班次名称", example = "张三")
    private String name;

    @Schema(description = "是否次日(开始时间 大于 结束时间)跨天 0否 1是")
    private Integer nextDayFlag;

    @Schema(description = "考勤组班次子表列表")
    private List<AttendanceGroupShiftItemDO> attendanceGroupShiftItemDOList;

}