package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statisticsrecord;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@ExcelIgnoreUnannotated
public class LogStatisticsDetailsListGroupByUserVO {

    @Schema(description = "姓名")
    @ExcelProperty("姓名")
    private String nickName;

    @Schema(description = "部门名称")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "日志类型")
    @ExcelProperty(value = "日志类型", converter = DictConvert.class)
    @DictFormat("work_log_type")
    private Integer type;

    @Schema(description = "应提交")
    @ExcelProperty("应提交")
    private Integer should;

    @Schema(description = "按时交")
    @ExcelProperty("按时交")
    private Integer onTime;

    @Schema(description = "迟交")
    @ExcelProperty("迟交")
    private Integer late;

    @Schema(description = "未提交")
    @ExcelProperty("未提交")
    private Integer notYet;
}
