package cn.iocoder.yudao.module.system.dal.dataobject.attendance.groupsystem;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 考勤组 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_group_system")
@KeySequence("kq_attendance_group_system_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceGroupSystemDO extends BaseDO {
    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 考勤组管理员id
     */
    private Long userId;
    /**
     * 考勤组id
     */
    private Long attendanceGroupId;
}
