package cn.iocoder.yudao.module.system.dal.mysql.equipment;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine.AttendanceMachinePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine.AttendanceMachineRespVO;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine.UserExtPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt.UsersExtRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.equipment.AttendanceMachineDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 考勤设备 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface AttendanceMachineMapper extends BaseMapperX<AttendanceMachineDO> {

    IPage<AttendanceMachineRespVO> selectAttendancePage(@Param("page") IPage<AttendanceMachineRespVO> mpPage,
                                                        @Param("reqVO") AttendanceMachinePageReqVO pageReqVO);

    AttendanceMachineRespVO selectAttendanceByAssetsNo(@Param("assetsNo") String assetsNo);

    IPage<UsersExtRespVO> selectUserPage(@Param("page") IPage<UsersExtRespVO> mpPage, @Param("reqVO") UserExtPageReqVO pageReqVO);
}