package cn.iocoder.yudao.module.system.dal.mysql.equipment;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.dal.dataobject.equipment.DistributeRecordDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 考勤机下发记录 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface DistributeRecordMapper extends BaseMapperX<DistributeRecordDO> {

    List<DistributeRecordDO> selectListByUserIdAndType(@Param("userId") List<Long> userId, @Param("type") Collection<Integer> type);
}