package cn.iocoder.yudao.module.wms.controller.admin.businessordernumber.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 业务单号管理新增/修改 Request VO")
@Data
public class BusinessOrderNumberSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "8133")
    private Long id;

    @Schema(description = "业务名称", example = "芋艿")
    private String name;

    @Schema(description = "编号前缀")
    private String prefixCode;

    @Schema(description = "时间规则")
    private String timeRule;

    @Schema(description = "编号长度")
    private Integer orderNoLength;

    @Schema(description = "编号规则")
    private String orderNoRule;

    @Schema(description = "状态 0 禁用 1启用", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

}