package cn.iocoder.yudao.module.wms.controller.admin.depotlocation.vo;

import cn.iocoder.yudao.module.wms.controller.admin.depotlocationitem.vo.DepotLocationItemSaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 库位管理新增/修改 Request VO")
@Data
public class DepotLocationSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28401")
    private Long id;

    @Schema(description = "工厂id", example = "3324")
    private Long factoryId;

    @Schema(description = "仓库id", example = "18627")
    private Long depotId;

    @Schema(description = "库区id", example = "5734")
    private Long depotAreaId;

    @Schema(description = "行")
    private Integer rowNum;

    @Schema(description = "列")
    private Integer columnNum;

    @Schema(description = "层")
    private Integer layerNum;

    @Schema(description = "子表列表", example = "1")
    private List<DepotLocationItemSaveReqVO> items;
}
