package cn.iocoder.yudao.module.wms.controller.admin.industrycategory.vo;

import cn.iocoder.yudao.module.wms.controller.admin.industrycategoryproperty.vo.IndustryCategoryPropertySaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 行业分类新增/修改 Request VO")
@Data
public class IndustryCategorySaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26302")
    private Long id;

    @Schema(description = "行业分类名称", example = "赵六")
    private String name;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "行业分类属性新增/修改列表")
    private List<IndustryCategoryPropertySaveReqVO> items;
}
