package cn.iocoder.yudao.module.wms.controller.admin.industrycategoryproperty.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 行业分类属性 Response VO")
@Data
@ExcelIgnoreUnannotated
public class IndustryCategoryPropertyRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "4356")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "行业分类id", example = "27454")
    @ExcelProperty("行业分类id")
    private Long industryCategoryId;

    @Schema(description = "属性名称", example = "芋艿")
    @ExcelProperty("属性名称")
    private String name;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}