package cn.iocoder.yudao.module.wms.controller.admin.industrycategoryproperty.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 行业分类属性新增/修改 Request VO")
@Data
public class IndustryCategoryPropertySaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "4356")
    private Long id;

    @Schema(description = "行业分类id", example = "27454")
    private Long industryCategoryId;

    @Schema(description = "属性名称", example = "芋艿")
    private String name;

}