package cn.iocoder.yudao.module.wms.controller.admin.inouttype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 出入库类型管理新增/修改 Request VO")
@Data
public class InOutTypeSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13159")
    private Long id;

    @Schema(description = "类型名称", example = "芋艿")
    private String name;

    @Schema(description = "类型 0出库 1入库", example = "2")
    private Integer type;

    @Schema(description = "状态 0 禁用 1启用", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

}