package cn.iocoder.yudao.module.wms.controller.admin.productcategoryproperty.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 产品分类属性 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProductCategoryPropertyRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "975")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "产品分类id", example = "32382")
    @ExcelProperty("产品分类id")
    private Long productCategoryId;

    @Schema(description = "属性名称", example = "王五")
    @ExcelProperty("属性名称")
    private String name;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}