package cn.iocoder.yudao.module.wms.dal.mysql.industrycategoryproperty;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.wms.dal.dataobject.industrycategoryproperty.IndustryCategoryPropertyDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.wms.controller.admin.industrycategoryproperty.vo.*;

/**
 * 行业分类属性 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface IndustryCategoryPropertyMapper extends BaseMapperX<IndustryCategoryPropertyDO> {

    default PageResult<IndustryCategoryPropertyDO> selectPage(IndustryCategoryPropertyPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<IndustryCategoryPropertyDO>()
                .eqIfPresent(IndustryCategoryPropertyDO::getIndustryCategoryId, reqVO.getIndustryCategoryId())
                .likeIfPresent(IndustryCategoryPropertyDO::getName, reqVO.getName())
                .betweenIfPresent(IndustryCategoryPropertyDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(IndustryCategoryPropertyDO::getId));
    }

}