package cn.iocoder.yudao.module.wms.dal.mysql.productcategoryproperty;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.wms.dal.dataobject.productcategoryproperty.ProductCategoryPropertyDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.wms.controller.admin.productcategoryproperty.vo.*;

/**
 * 产品分类属性 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface ProductCategoryPropertyMapper extends BaseMapperX<ProductCategoryPropertyDO> {

    default PageResult<ProductCategoryPropertyDO> selectPage(ProductCategoryPropertyPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ProductCategoryPropertyDO>()
                .eqIfPresent(ProductCategoryPropertyDO::getProductCategoryId, reqVO.getProductCategoryId())
                .likeIfPresent(ProductCategoryPropertyDO::getName, reqVO.getName())
                .betweenIfPresent(ProductCategoryPropertyDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ProductCategoryPropertyDO::getId));
    }

}