package cn.iocoder.yudao.module.smartfactory.controller.admin.device.cameradevice.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 设备-监控摄像头 Response VO")
@Data
public class CameraSimpleRespVO {

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "32023")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "设备名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("设备名称")
    private String name;

    @Schema(description = "设备编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("设备编号")
    private String code;

    @Schema(description = "设备类型")
    private String type;
}
