package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Schema(description = "出入库数据导出excel VO")
@Data
@ExcelIgnoreUnannotated
public class FactoryDataExportVO {

    @ExcelProperty("工厂名称")
    private String factoryName;

    @ExcelProperty("日期")
    private LocalDate date;

    @ExcelProperty("规格")
    private String sizeName;

    @ExcelProperty("入库数")
    private Integer inNum;

    @ExcelProperty("入库平方数")
    private BigDecimal squareNum;

    @ExcelProperty("打包破损数")
    private Integer damageNum;

    @ExcelProperty("入库破损数")
    private Integer inDamageNum;

    @ExcelProperty("出库数")
    private Integer outNum;

    @ExcelProperty("出库破损数")
    private Integer outDamageNum;

    @ExcelProperty("入库总数")
    private Integer inTotalNum;

    @ExcelProperty("出库总数")
    private Integer outTotalNum;

    @ExcelProperty("破损总数")
    private Integer damageTotalNum;
}
