package cn.iocoder.yudao.module.smartfactory.controller.admin.size.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Schema(description = "管理后台 - 规格新增/修改 Request VO")
@Data
public class SizeSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "规格名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "300*300")
    @NotEmpty(message = "规格名称不能为空")
    private String name;

}